package ch.hslu.edu.enapp.webshop.common.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * The persistent class for the purchase database table.
 * 
 */
public class PurchaseDTO implements Serializable {
	private static final long serialVersionUID = 1L;

	private int id;

	private String correlationId;

	private int customerid;

	private Date datetime;

	private String NAVOrderId;

	private int ncerror;

	private String ncerrorplus;

	private int ncstatus;

	private int payid;

	private String status;

	private double totalPrice;

	public PurchaseDTO() {
	}

	public int getId() {
		return this.id;
	}

	public void setId(final int id) {
		this.id = id;
	}

	public double getTotalPrice() {
		return this.totalPrice;
	}

	public void setTotalPrice(final double orderAmount) {
		this.totalPrice = orderAmount;
	}

	public String getCorrelationId() {
		return this.correlationId;
	}

	public void setCorrelationId(final String correlationId) {
		this.correlationId = correlationId;
	}

	public int getCustomerid() {
		return this.customerid;
	}

	public void setCustomerid(final int customerid) {
		this.customerid = customerid;
	}

	public Date getDatetime() {
		return this.datetime;
	}

	public void setDatetime(final Date datetime) {
		this.datetime = datetime;
	}

	public String getNAVOrderId() {
		return this.NAVOrderId;
	}

	public void setNAVOrderId(final String NAVOrderId) {
		this.NAVOrderId = NAVOrderId;
	}

	public int getNcerror() {
		return this.ncerror;
	}

	public void setNcerror(final int ncerror) {
		this.ncerror = ncerror;
	}

	public String getNcerrorplus() {
		return this.ncerrorplus;
	}

	public void setNcerrorplus(final String ncerrorplus) {
		this.ncerrorplus = ncerrorplus;
	}

	public int getNcstatus() {
		return this.ncstatus;
	}

	public void setNcstatus(final int ncstatus) {
		this.ncstatus = ncstatus;
	}

	public int getPayid() {
		return this.payid;
	}

	public void setPayid(final int payid) {
		this.payid = payid;
	}

	public String getStatus() {
		return this.status;
	}

	public void setStatus(final String status) {
		this.status = status;
	}

}