package ch.hslu.edu.enapp.webshop.common;

import java.util.List;
import java.util.Map;

import ch.hslu.edu.enapp.webshop.common.dto.ProductDTO;

public interface ShoppingCardServiceRemote {

	void addItem(final ProductDTO product);

	void removeItem(ProductDTO product);

	List<ProductDTO> getItems();

	public int getAmountOfProduct(final ProductDTO productToRetrieve);

	public double calcTotal();

	Map<ProductDTO, Integer> getShoppingCard();

	void clear();
}
