package ch.hslu.edu.enapp.webshop.entity;

import java.io.Serializable;

import javax.persistence.Embeddable;

/**
 * The primary key class for the userGroup database table.
 * 
 */
@Embeddable
public class UserGroupPK implements Serializable {
	// default serial version id, required for serializable classes.
	private static final long serialVersionUID = 1L;

	private int iduser;

	private String idgroup;

	public UserGroupPK() {
	}

	public int getIduser() {
		return this.iduser;
	}

	public void setIduser(final int iduser) {
		this.iduser = iduser;
	}

	public String getIdgroup() {
		return this.idgroup;
	}

	public int getIdgroupInt() {
		return Integer.parseInt(getIdgroup());
	}

	public void setIdgroup(final String idgroup) {
		this.idgroup = idgroup;
	}

	@Override
	public boolean equals(final Object other) {
		if (this == other) {
			return true;
		}
		if (!(other instanceof UserGroupPK)) {
			return false;
		}
		final UserGroupPK castOther = (UserGroupPK) other;
		return (this.iduser == castOther.iduser) && this.idgroup.equals(castOther.idgroup);
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int hash = 17;
		hash = hash * prime + this.iduser;
		hash = hash * prime + this.idgroup.hashCode();

		return hash;
	}
}